[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExtractFileExt

Return the extension from a filename.

## Declaration

Source position: finah.inc line 24

`function ExtractFileExt(`
`const FileName: string`
`):string;`

## Description

ExtractFileExt returns the extension (including the .(dot) character) of FileName.

For an example, see ExtractFileDir.

## Errors

None.

## See also

ChangeFileExt |  | Change the extension of a filename.
ExtractFileName |  | Extract the filename part from a full path filename.
ExtractFilePath |  | Extract the path from a filename.
ExtractFileDir |  | Extract the drive and directory part of a filename.
ExtractFileDrive |  | Extract the drive part from a filename.
ExtractFileExt |  | Return the extension from a filename.
ExtractRelativePath |  | Extract a relative path from a filename, given a base directory.

Documentation generated on: Feb 26 2014